## com.thaiopensource.datatype.xsd.regex
Interface RegexEngine

All Known Implementing Classes:
  RegexEngineImpl, RegexEngineImpl

    public interface RegexEngine

A provider of a regular expression matching capability.

Method Summary
`Regex` `compile(java.lang.String str)` Compiles a string containing a regular expression into a `Regex` object.

Method Detail

### compile

    Regex compile(java.lang.String str)
                  throws RegexSyntaxException

  Compiles a string containing a regular expression into a `Regex` object. The `Regex` object can be used to test whether a string matches the regular expression.

  Parameters:
    `str` - a String containing a regular expression
  Returns:
    a `Regex` for `str`
  Throws:
    `RegexSyntaxException` - if `str` is not a valid regular expression